# About Cozy Catalog

It started with a simple problem: keeping a list of favorite webcomics, each with the same information about it, such as category, title, link, description, tags and so on. In other words, a table. For a while it existed as a spreadsheet, but that was hard to update, for several reasons. A dedicated user interface was needed, but that took some time to figure out.

Cozy Catalog is a little personal database, mainly for media libraries and the like. It's plain and doesn't do anything special except for making it easier to locate and update information. Its data files can also be opened with pretty much any office suite or programming language, to avoid lock-in. Main features:

- fixed yet generic set of fields, whose exact meaning can be reinterpreted;
- quickly browse by category, or else run a free-form search across all fields;
- store data in ordinary CSV files, self-documented with headings in line #1.

The user interface should be fairly obvious.

As of early 2024, the code has been used in production for almost a year with no new issues. Please back up your data anyway.

## System requirements

Running Cozy Catalog from source requires Tcl/Tk 8.5 or newer, with Tcllib. Both are available on most Linux distributions, or else from the tcl-lang.org website.

Recommended screen resolution: 1024x768.

## License and support

Cozy Catalog is open source under the MIT license. See source code for details.

You can find native builds on itch.io, and the source code on tildegit. Feedback is welcome in either place.
